# `$log` (service in module `ng` )

Improve this doc

## Description

Simple service for logging. Default implementation writes the message into the browser's console (if present).

The main purpose of this service is to simplify debugging and troubleshooting.

## Dependencies

- `$window`

## Methods

- ### debug()

  Write a debug message

- ### error()

  Write an error message

- ### info()

  Write an information message

- ### log()

  Write a log message

- ### warn()

  Write a warning message

## Example

#### Source

#### Demo